{% extends 'home/master/master.html' %}
{% load i18n %}
{% load static %}
{% block title %}
{{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

  <!-- curtain -->
  <div class="art-curtain"></div>

  <!-- top background -->
  <div class="art-top-bg" style="background-image: url({% static 'img/bg.jpg' %})">
    <!-- overlay -->
    <div class="art-top-bg-overlay"></div>
    <!-- overlay end -->
  </div>
  <!-- top background end -->


  <!-- swup container -->
  <div class="transition-fade" id="swup">

    <!-- scroll frame -->
    <div id="scrollbar" class="art-scroll-frame">

      <!-- container -->
      <div class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

        <!-- row -->
        <div class="row p-30-0">

          <!-- col -->
          <div class="col-lg-12">

            <!-- section title -->
            <div class="art-section-title">
              <!-- title frame -->
              <div class="art-title-frame">
                <!-- title -->
                <h4>{% trans "My Videos" %}</h4>
              </div>
              <!-- title frame end -->
            </div>
            <!-- section title end -->

          </div>



          <div class="container">
            {%  for video in all_videos  %}
            {% if forloop.counter0|divisibleby:2 %} <div class="row"> {%  endif %}
              <!-- col -->
              <div class="col-lg-6">

                <!-- blog post card -->
                <div class="art-a art-blog-card">
                  <!-- post cover -->
                  <a href="{% url 'videos-details-view' video.pk %}" class="art-port-cover">
                    <!-- img -->
                    <img src="{{ video.video_thumbnail }}" loading="lazy" alt="blog post">
                  </a>
                  <!-- post cover end -->
                  <!-- post description -->
                  <div class="art-post-description">
                    <!-- title -->
                    <a href="{% url 'videos-details-view' video.pk %}" class='d-inline-block mr-2'>
                      <h5 class="mb-15">{{ video.title }}</h5>
                    </a>
                    <!-- text -->
                    <!-- Views -->
                    <small style="font-size: 0.8rem;" class="text-muted {% if LANGUAGE_CODE == 'ar' %}mr-1{% endif %}"
                      data-toggle='tooltip' title='views'>
                      <i class="fas fa-eye"></i> {{ video.views }}
                    </small>
                    <!-- Views -->
                    <div class="mb-15">{{ video.summary|truncatechars:60 }}</div>
                    <!-- link -->
                    <a href="{% url 'videos-details-view' video.pk %}"
                      class="art-link art-color-link {% if LANGUAGE_CODE == 'ar' %}art-w-chevron-rtl{%else%}art-w-chevron{% endif %}">
                      {% trans "Read more" %}
                    </a>
                  </div>
                  <!-- post description end -->
                </div>
                <!-- blog post card end -->

              </div>
              <!-- col end -->
              {%  if forloop.counter|divisibleby:2 or forloop.last %}
            </div><!-- row closing -->
            <hr>{%  endif %}
            {%  endfor %}
          </div><!-- container -->


        </div>
        <!-- row end -->

      </div>
      <!-- container end -->

      <!-- container -->
      <div class="container-fluid">

        <!-- footer -->
        {% include "home/inc/footer.html" %}
        <!-- footer end -->

      </div>
      <!-- container end -->


    </div>
    <!-- scroll frame end -->

  </div>
  <!-- swup container end -->

</div>
<!-- content end -->

{% endblock content %}